ecshop错误提示:Strict standards: Declaration of ucenter::add_user() should be compatible with integrate::add_user($username, $password, $email, $gender = -1, $bday = 0, $reg_date = 0, $md5password = '')

 ecshop安装使用  1309浏览

后台管理的会员整合页面,出现这样的错误提示:Strict standards: Declaration of ucenter::add_user() should be compatible with integrate::add_user($username, $password, $email, $gender = -1, $bday = 0, $reg_date = 0, $md5password = '')

具体错误提示如下:

( ! ) Strict standards: Declaration of ucenter::add_user() should be compatible with integrate::add_user($username, $password, $email, $gender = -1, $bday = 0, $reg_date = 0, $md5password = '') in C:\develop\wamp\www\ecshopdev\includes\modules\integrates\ucenter.php on line 630

解决方法的思路和之前的文章一样:ecshop错误提示:Strict standards: Declaration of phpbb::set_cookie() should be compatible with integrate::set_cookie($username = '', $remember = NULL)

修改includes\modules\integrates文件夹下的ucenter.php文件,大概在210行,

function add_user($username, $password, $email)

改成

function add_user($username, $password, $email, $gender = -1, $bday = 0, $reg_date = 0, $md5password = '')

这样Declaration of ucenter::add_user() should be compatible with integrate::add_user($username, $password, $email, $gender = -1, $bday = 0, $reg_date = 0, $md5password = '')问题就解决了。

流行热度:超过1309次围观
生产日期:2016-03-15 21:31:51
上次围观:2016-09-16 04:13:05
转载时必须以链接形式注明原始出处及本声明。

与本文相关的文章